package com.ruoyi.ie.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.ie.mapper.AEnrollSpecialMapper;
import com.ruoyi.ie.domain.AEnrollSpecial;
import com.ruoyi.ie.service.IAEnrollSpecialService;

/**
 * 院校考生专项考核Service业务层处理
 * 
 * @author voluntary
 * @date 2023-11-26
 */
@Service
public class AEnrollSpecialServiceImpl implements IAEnrollSpecialService 
{
    @Autowired
    private AEnrollSpecialMapper aEnrollSpecialMapper;

    /**
     * 查询院校考生专项考核
     * 
     * @param id 院校考生专项考核主键
     * @return 院校考生专项考核
     */
    @Override
    public AEnrollSpecial selectAEnrollSpecialById(Long id)
    {
        return aEnrollSpecialMapper.selectAEnrollSpecialById(id);
    }

    /**
     * 查询院校考生专项考核列表
     * 
     * @param aEnrollSpecial 院校考生专项考核
     * @return 院校考生专项考核
     */
    @Override
    public List<AEnrollSpecial> selectAEnrollSpecialList(AEnrollSpecial aEnrollSpecial)
    {
        return aEnrollSpecialMapper.selectAEnrollSpecialList(aEnrollSpecial);
    }

    /**
     * 新增院校考生专项考核
     * 
     * @param aEnrollSpecial 院校考生专项考核
     * @return 结果
     */
    @Override
    public int insertAEnrollSpecial(AEnrollSpecial aEnrollSpecial)
    {
        return aEnrollSpecialMapper.insertAEnrollSpecial(aEnrollSpecial);
    }

    /**
     * 修改院校考生专项考核
     * 
     * @param aEnrollSpecial 院校考生专项考核
     * @return 结果
     */
    @Override
    public int updateAEnrollSpecial(AEnrollSpecial aEnrollSpecial)
    {
        return aEnrollSpecialMapper.updateAEnrollSpecial(aEnrollSpecial);
    }

    /**
     * 批量删除院校考生专项考核
     * 
     * @param ids 需要删除的院校考生专项考核主键
     * @return 结果
     */
    @Override
    public int deleteAEnrollSpecialByIds(Long[] ids)
    {
        return aEnrollSpecialMapper.deleteAEnrollSpecialByIds(ids);
    }

    /**
     * 删除院校考生专项考核信息
     * 
     * @param id 院校考生专项考核主键
     * @return 结果
     */
    @Override
    public int deleteAEnrollSpecialById(Long id)
    {
        return aEnrollSpecialMapper.deleteAEnrollSpecialById(id);
    }
}
